#! /usr/bin/python2.4
# Copyright (C) 2007 by Intevation GmbH
# Authors:
# Bernhard Herzog <bh@intevation.de>
#
# This program is free software under the GPL (>=v2)
# Read the file COPYING coming with the software for details.

"""Creates a static web-site with a status report"""

import sys
import os

import treepkgcmd
from treepkg.options import create_parser
from treepkg.web import Status

def parse_commandline():
    return create_parser().parse_args()

def create_static_site(treepkg_config, destdir):
    status = Status(treepkg_config=treepkg_config)
    status.create_static_site(destdir)

def main():
    options, args = parse_commandline()
    create_static_site(options.config_file, args[0])

main()
